Bug 447283 - rpm --root does not behave as expected
rpm --root does not behave as expected
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-19 06:15 EDT by Rob Lazzurs
Modified: 2008-06-16 23:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 23:08:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Lazzurs 2008-05-19 06:15:40 EDT
Description of problem:

Today when running rpm --root on an chroot environment we keep we had the
unexpected behavior of the rpm db having references outside it's directory
structure. eg running the command below outside of the chroot produced the
output below once chroot'ed into the environment.

rpm --force  --root /homes/sys/adm/masterOS/dist/FC/7_x86_64/desktop/ -ivh
/homes/bah/tools/rpm/jdk-6u1-linux-amd64.rpm

Version-Release number of selected component (if applicable):

RPM version 4.4.2.2

How reproducible:

Everytime

Steps to Reproduce:
1. Run the above rpm command on a chroot F7 environment from an F7 environment
2. Chroot into the F7 environment
3. run rpmquery
  
Actual results:

rpmdb: /homes/sys/adm/masterOS/dist/FC/7_x86_64/desktop/var/lib/rpm/Filemd5s: No
such file or directory

Expected results:


Additional info:
Comment 1 Bug Zapper 2008-06-16 23:08:12 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.